package SrvMngr::Controller::Datetime;
#
# Generated by SM2Gen version:0.9(20Jan2025) Chameleon version:4.5.4 On Python:3.12.3 at 2025-06-15 12:45:47 
# Remember that each route must be unique (else they just overwrite each other).
# you cannot have get and post on the same name and url.
#
#----------------------------------------------------------------------
# heading     : System
# description : Date and time
# navigation  : 4000 300
#
# ######name   : datetimet,    method : post,   url : /datetimet,     ctlact : datetime#testntp
#
# routes : end
#
# Documentation: https://wiki.contribs.org/Datetime
#----------------------------------------------------------------------

#
# Scheme of things:
#
# TBA!!

use strict;
use warnings;
use Mojo::Base 'Mojolicious::Controller';

use constant FALSE => 0;
use constant TRUE  => 1;

use Locale::gettext;
use SrvMngr::I18N;
use SrvMngr qw(theme_list init_session);

use Data::Dumper;

use esmith::util;
use esmith::util::network;
use esmith::ConfigDB::UTF8;
use esmith::AccountsDB;
use esmith::NetworksDB;
use esmith::HostsDB::UTF8;
use esmith::DomainsDB::UTF8;

my $cdb;
my $adb;
my $ndb; 
my $hdb; 
my $ddb; 

my %dat_data;

require '/usr/share/smanager/lib/SrvMngr/Controller/Datetime-Custom.pm';  #The code that is to be added by the developer

sub main {
#
# Initial entry - route is "/<whatever>"
#
#set initial panel
#for initial panel:
	#Specifiy panel to enter
	#load up _data hash with DB fields
	#load up stash with pointer(s) to control fields hash(= get-))
		#and a pointer to the prefix_data hash
#render initial panel

    my $c = shift;
    $c->app->log->info( $c->log_req );

	#The most common ones - you might want to delete some of these if they are not used.
	 $cdb = esmith::ConfigDB::UTF8->open()   || die("Couldn't open config db");
	 $adb = esmith::AccountsDB->open() || die("Couldn't open Accounts db");
	 $ndb = esmith::NetworksDB->open() || die("Couldn't open Network db");
	 $hdb = esmith::HostsDB::UTF8->open() 	  || die("Couldn't open Hosts db");
	 $ddb = esmith::DomainsDB::UTF8->open()  || die("Couldn't open Domains db");

     %dat_data = ();
    my $title     = $c->l('dat_FORM_TITLE');
    my $modul     = $c->l('dat_INITIAL_DESC');

    $dat_data{'trt'} = 'PARAMS';
    
    #Load any DB entries into the <prefix>_data area so as they are preset in the form
    # which DB - this only really works if the initial panel is a PARAMS type panel and not a TABLE
    my $db = $cdb; #pickup local or global db or Default to config
    
	
	$c->do_display($dat_data{'trt'});
	
}

# Post request with params - submit from the form 
sub do_update {
#
# Return after submit pushed on panel (this is a post) - route is "/<whatever>u"
# parameters in the params hash.
#
#load up all params into prefix_data hash:
#By panel (series of if statements - only one executed):
		#call validate-PANEL() - return ret = ok or error message
			
#if validation not ok:
	#render back to current panel with error message in stash
#otherwise:
	#By panel (series of if statements - only one executed):
		#do whatever is required: call perform-PANEL() - return 'ok' or Error Message
			#call signal-event for any global actions specified (check it exists - error and continue?)
			#if action smeserver-<whatever>-update exists
				#signal_event smeserver-<whatever>-update
			#call signal-event for any specific actions for thids panel (check it exists first - error and continue)
		#set success in stash
		#if no "nextpanel" entry:
			#set firstpanel
		#else 
			#set nextpanel
		#call render
	
    my $c = shift;
    $c->app->log->info($c->log_req);
    
    #$c->app->log->info($c->param('month'));
    

	#The most common ones - you might want to delete some of these if they are not used.
	 $cdb = esmith::ConfigDB::UTF8->open()   || die("Couldn't open config db");
	 $adb = esmith::AccountsDB->open() || die("Couldn't open Accounts db");
	 $ndb = esmith::NetworksDB->open() || die("Couldn't open Network db");
	 $hdb = esmith::HostsDB::UTF8->open() 	  || die("Couldn't open Hosts db");
	 $ddb = esmith::DomainsDB::UTF8->open()  || die("Couldn't open Domains db");

    my $title     = $c->l('dat_FORM_TITLE');
    my $modul     = $c->l('dat_INITIAL_DESC');

	# Accessing all POST/GET parameters
    #my $params = $c->req->params->to_hash;

    # Get number of POST parameters
    #my $num_params = keys scaler %$params;
    
    #Params are available in the hash "params" - copy to the prefix_data hash
    #while (my ($key, $value) = each %{$c->req->params->to_hash}) {
    #    $dat_data{$key} = $value;
    #}

    # the value of trt will tell you which panel has returned    
    my $trt = $c->param('trt') || 'PARAMS'; #hidden control on every form.
    my $ret = 'ok';

    #Validate the parameters in a custom sub one for each panel (although only one of these will be executed)
    my $thispanel;
    
		if ($trt eq 'PARAMS'){
			#Validate form parameters for panel PARAMS
			$ret = $c->validate_PARAMS(\%dat_data);
			$thispanel = 'PARAMS';
		}
	
	if ($ret ne 'ok'){
		$c->stash(error => $c->l($ret));
		$c->do_display($thispanel);
	} else {
		#Do whatever is needed, including writing values to the DB
		
		
			if ($trt eq 'PARAMS'){
				#do whatever is required ...
				$ret = $c->perform_PARAMS(\%dat_data);
				if ($ret ne 'ok') {
					# return to the panel with error message
					$c->stash(error => $c->l($ret));
					$c->stash( 
						title => $title, 
						modul => $modul,
						dat_data  => \%dat_data
					);
					$c->render(template => "datetime");	
					return
				} else {
					if ($c->param('time_mode') eq 'dat_manually_set') {
						$c->stash( success => $c->l('dat_UPDATING_CLOCK')); 
					} else {
						$c->stash( success => $c->l('dat_SETTINGS_CHANGED')); 
					}
				}
			}

	
		# and call any signal-events needed
		#TBD
		# Setup shared data and call panel
		if ('none' eq 'none') {
			$dat_data{'trt'} = 'PARAMS';
		} else {
			$dat_data{'trt'} = 'none';
		}	
		$c->do_display($dat_data{'trt'});
	} 
}

sub do_display {
#
# Return after link clicked in table (this is a get) - route is "/<whatever>d"
# Expects ?trt=PANEL&selected="TableRowName" plus any other required
#
# OR it maybe a post from the main panel to add a new record 
#
#load up all supplied params into prefix_data hash
#call get-selected-PANEL() - returns hash of all relevent parameters
#load up returned hash into prefix_data
#render - to called panel

    my ($c,$trt) = @_;
    $c->app->log->info($c->log_req);

	#The most common ones - you might want to delete some of these if they are not used.
	 $cdb = esmith::ConfigDB::UTF8->open()   || die("Couldn't open config db");
	 $adb = esmith::AccountsDB->open() || die("Couldn't open Accounts db");
	 $ndb = esmith::NetworksDB->open() || die("Couldn't open Network db");
	 $hdb = esmith::HostsDB::UTF8->open() 	  || die("Couldn't open Hosts db");
	 $ddb = esmith::DomainsDB::UTF8->open()  || die("Couldn't open Domains db");
    
    my $title     = $c->l('dat_FORM_TITLE');
    my $modul     = $c->l('dat_INITIAL_DESC');

	# Accessing all parameters
    #my $params = $c->req->params->to_hash;

    # Get number of parameters
    #my $num_params = keys %$params;
    
    #Tag as Post or Get (ie. create new entry or edit existing one
    my $is_new_record = ($c->req->method() eq 'POST');
    
    #Params are available in the hash "params" - copy to the prefix_data hash
    #while (my ($key, $value) = each %{$c->req->params->to_hash}) {
    #    $dat_data{$key} = $value;
    #}

    # the value of trt will tell you which panel has returned   
    if (! $trt){ 
		$trt = $c->param('trt') || 'PARAMS'; #Indicates where to go now
	}
 
    # Now add in the params from the selected row from the table
		
    my %selectedrow;
    
		if ($trt eq 'PARAMS'){
			#Validate Get selected row (if applicable)  PARAMS
				%selectedrow = $c->get_selected_PARAMS($dat_data{'Selected'},$is_new_record);
		}
	
 
	#Copy in the selected row params to the prefix_data hash to pass to the panel
	while (my ($key, $value) = each %selectedrow){
        $dat_data{$key} = $value;
    }
	# Where to go now
	$dat_data{'trt'} = $trt;
	
	# Set up other shared data according to the panel to go to
    
		if ($trt eq 'PARAMS'){
			# pickup any other contents needed and load them into hash shared with panel
			my %returned_hash;
			# subroutine returns a hash directly
			%returned_hash = $c->get_data_for_panel_PARAMS();
			# Copy each key-value pair from the returned hash to the prefix data hash
			while (my ($key, $value) = each %returned_hash) {
				$dat_data{$key} = $value;
			}
		}
	
	
	# and table control fields
     
	
	# Data for panel
	$c->stash( 
		title 			=> $title, 
		modul => $modul,
		dat_data  => \%dat_data
	);
	$c->render(template => "datetime");
}  

sub do_testntp {
    my $c = shift;
    my $server = $c->req->json->{ntpserver} // '';

    # Strict validation: hostname or IPv4
    unless ($server =~ /^(?=.{1,253}$)([a-zA-Z0-9](?:[a-zA-Z0-9\-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9\-]{0,61}[a-zA-Z0-9])?)*|\d{1,3}(?:\.\d{1,3}){3})$/) {
        return $c->render(json => { success => 0, error => 'Invalid server name or IP' });
    }

    my $timeout = 5;
    my @cmd = ('timeout', $timeout, 'ntpdate', '-q', $server);

    # Run ntpdate and capture output
    my $output = qx{@cmd 2>&1};
    $c->app->log->info($output);
    my $exit_code = $? >> 8;

    # Parse for known errors
    if ($exit_code == 124) {
        return $c->render(json => { success => 0, error => "Timeout: NTP server did not respond within $timeout seconds" });
    }
    if ($output =~ /no server suitable for synchronization found/i) {
        return $c->render(json => { success => 0, error => "No suitable NTP server found or server unreachable" });
    }
    if ($output =~ /Name or service not known|Temporary failure in name resolution/i) {
        return $c->render(json => { success => 0, error => "DNS resolution failed for $server" });
    }
    if ($output =~ /ntpdig: no eligible servers/i) {
        return $c->render(json => { success => 0, error => "Not a an NTP server" });
    }
    if ($output =~ /permission denied/i) {
        return $c->render(json => { success => 0, error => "Permission denied running ntpdate" });
    }
    if ($exit_code != 0) {
        return $c->render(json => { success => 0, error => "ntpdate failed (exit code $exit_code): $output" });
    }

    # Extract date and time down to seconds from adjust line
	my ($datetime) = $output =~ /^(\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2})/m;

	if ($datetime) {
		return $c->render(json => { success => 1, time => $datetime });
	} else {
		return $c->render(json => { success => 0, error => "Could not parse date/time from NTP server response." });}
}

1;